actions: []
api_documentation: http://docs.ros.org/en/noetic/api/abb_irb5400_support/html
authors: Dan Solomon (SwRI), Levi Armstrong (SwRI)
brief: ''
bugtracker: https://github.com/ros-industrial/abb/issues
depends:
- abb_driver
- abb_resources
- catkin
- industrial_robot_client
- joint_state_publisher_gui
- robot_state_publisher
- rviz
- xacro
depends_on:
- abb
description: "<p>\n      ROS-Industrial support for the ABB IRB 5400 (and variants).\n\
  \    </p>\n    <p>\n      This package contains configuration data, 3D models and\
  \ launch files\n      for ABB IRB 5400 manipulators. This currently includes the\
  \ base model.\n    </p>\n    <p>\n      Joint limits and max joint velocities are\
  \ based on the information in\n      the ABB data sheets.  All URDFs / XACROs are\
  \ based on the\n      default motion and joint velocity limits, unless noted otherwise\
  \ (ie:\n      no support for high speed joints, extended / limited motion ranges\
  \ or\n      other options).\n    </p>\n    <p>\n      Before using any of the configuration\
  \ files and / or meshes included\n      in this package, be sure to check they are\
  \ correct for the particular\n      robot model and configuration you intend to\
  \ use them with.\n    </p>"
devel_jobs:
- https://build.ros.org/view/Ndev/job/Ndev__abb__ubuntu_focal_amd64
doc_job: https://build.ros.org/view/Ndoc/job/Ndoc__abb__ubuntu_focal_amd64
has_changelog_rst: true
license: Apache-2.0
maintainer_status: maintained
maintainers: ROS-Industrial community <noreply@rosindustrial.org>
metapackages:
- abb
msgs: []
package_type: package
release_jobs:
- https://build.ros.org/view/Nsrc_uF/job/Nsrc_uF__abb_irb5400_support__ubuntu_focal__source
- https://build.ros.org/view/Nbin_uF64/job/Nbin_uF64__abb_irb5400_support__ubuntu_focal_amd64__binary
- https://build.ros.org/view/Nbin_ufhf_uFhf/job/Nbin_ufhf_uFhf__abb_irb5400_support__ubuntu_focal_armhf__binary
- https://build.ros.org/view/Nbin_ufv8_uFv8/job/Nbin_ufv8_uFv8__abb_irb5400_support__ubuntu_focal_arm64__binary
repo_name: abb
repo_url: https://github.com/ros-industrial/abb
srvs: []
timestamp: 1744279329.823522
url: http://ros.org/wiki/abb_irb5400_support
vcs: git
vcs_uri: https://github.com/ros-industrial/abb.git
vcs_version: noetic
